Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class SkeletonMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      java.rmi.server.SkeletonMismatchException

All Implemented Interfaces:
  Serializable

Deprecated. no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.

    @Deprecated
    public class SkeletonMismatchException

extends RemoteException

This exception is thrown when a call is received that does not match the available skeleton. It indicates either that the remote method names or signatures in this interface have changed or that the stub class used to make the call and the skeleton receiving the call were not generated by the same version of the stub compiler (`rmic`).

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`SkeletonMismatchException(String s)` Deprecated. no replacement

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SkeletonMismatchException

    @Deprecated
    public SkeletonMismatchException(String s)

  Deprecated. no replacement

  Constructs a new `SkeletonMismatchException` with a specified detail message.

  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.